import greenfoot.*;

public class Orb extends Actor
{
    static int radius = 80; // radius of orb
    static int red = 0, green = 255, blue = 200; // parts of basic color of orb
    
    public Orb()
    {
        GreenfootImage image = new GreenfootImage(radius, radius); // create base image
        for (int i=0; i<radius/2; i++)
        { // from surface to center of orb, build orb image
            int value = 500*i/(radius/2); // 
            if (value > 255) value = 255;
            image.setColor(new Color(value*red/255, value*green/255, value*blue/255));
            image.fillOval(i, i, (radius-1)-2*i, (radius-1)-2*i);
        }
        setImage(image);
    }
    
    public static void setColor(int r, int g, int b)
    {
        red = r;
        green = g;
        blue = b;
    }
}