public class Planet extends Orb
{
    int range, frequency, time;

    public Planet(int rng, int frq)
    {
        super();
        range = rng;
        frequency = frq;
    }

    // run orbital cycle
    public void act()
    {
        time = (time+1)%frequency;
        setOrbitalPosition();
    }
    
    public void setOrbitalPosition()
    {
        int xOff = (int)((double)range*Math.cos(Math.PI*2*time/frequency));
        int yOff = (int)((double)range*Math.sin(Math.PI*2*time/frequency)/10);
        setLocation(500+xOff, 300+yOff);
    }
}